//
//  TESTTransitionView.m
//
//  Created by Thomas Wolters on 22/10/15.
//  Copyright © 2015 fluodmobile. All rights reserved.
//

#import "Demo7TransitionView.h"

@interface Demo7TransitionView()
    @property (nonatomic, strong) UIButton* button;
@end

@implementation Demo7TransitionView

-(instancetype)initWithIteration:(int)iteration;{
    self = [super init];
    if (!self) {
        return nil;
    }
    if (iteration % 2 == 1){
        self.backgroundColor = [UIColor lightGrayColor];
    }
    else{
        self.backgroundColor = [UIColor whiteColor];
    }

    self.button = [UIButton new];
    [self.button setTitle:@"Weiter" forState:UIControlStateNormal];
    [self.button setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [self.button addTarget:self action:@selector(actionNext:) forControlEvents:UIControlEventTouchUpInside];
    [self addSubview:self.button];
    return self;
}

-(void)layoutSubviews{
    [super layoutSubviews];

    float offset = 40;
    float height = 44;
    self.button.frame = (CGRect){offset, self.bounds.size.height-offset-height,self.bounds.size.width-2*offset,height};
}

-(void)actionNext:(id)sender{
    [self.delegate userDidSelectNext];
}

+ (UIColor*)disco {
    CGFloat hue = arc4random() % 256 / 256.0;    //  0.0 to 1.0
    CGFloat saturation = (arc4random() % 128 / 256.0) + 0.5;    //  0.5 to 1.0, away from white
    CGFloat brightness = (arc4random() % 128 / 256.0) + 0.5;    //  0.5 to 1.0, away from black
    return [UIColor colorWithHue:hue saturation:saturation brightness:brightness alpha:1];
}

@end
