//
//  TESTTransitionViewController.m
//
//  Created by Thomas Wolters on 22/10/15.
//  Copyright © 2015 fluodmobile. All rights reserved.
//

#import "Demo7TransitionViewController.h"
#import "Demo7TransitionAnimator.h"
#import "Demo7TransitionView.h"

@interface Demo7TransitionViewController () <TESTTransitionViewDelegate, UIViewControllerTransitioningDelegate>
@property (nonatomic, strong) Demo7TransitionView* viewTransition;
@property (nonatomic, assign) int iteration;
@end

@implementation Demo7TransitionViewController

-(instancetype)initWithIteration:(int)iteration{
    self = [super init];
    if (!self) {
        return nil;
    }
    self.iteration = iteration;
    return self;
}

-(void)loadView{
    _viewTransition = [[Demo7TransitionView alloc] initWithIteration:self.iteration];
    self.view = _viewTransition;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.viewTransition.delegate = self;
}

-(void)userDidSelectNext{
    UIViewController* viewController = [[Demo7TransitionViewController alloc] initWithIteration:self.iteration+1];
    viewController.transitioningDelegate = self;
    [self presentViewController:viewController animated:YES completion:nil];
}

- (nullable id <UIViewControllerAnimatedTransitioning>)animationControllerForPresentedController:(UIViewController *)presented presentingController:(UIViewController *)presenting sourceController:(UIViewController *)source{
    Demo7TransitionAnimator* animator = [Demo7TransitionAnimator new];
    return animator;
}

@end
