//
//  MacounMenuViewController.m
//  playwithanimation
//
//  Created by Thomas Wolters on 23/10/15.
//  Copyright © 2015 fluidmobile. All rights reserved.
//

#define CELL @"CELL"
#import "MacounMenuViewController.h"
#import "MacounMenuView.h"

#import "Demo0AnimationLayerViewController.h"
#import "Demo1TimingFunctionViewController.h"
#import "Demo2SpringViewController.h"
#import "Demo3HighwayToHellViewController.h"
#import "Demo4SmokeAndFireViewController.h"
#import "Demo5AnimationLayerReplicatorViewController.h"
//TODO: import demo6
#import "Demo7TransitionViewController.h"



@interface MacounMenuViewController () <UITableViewDataSource, UITableViewDelegate>
@property (nonatomic, strong) MacounMenuView* viewMenu;
@end

@implementation MacounMenuViewController

-(void)loadView{
    self.viewMenu = [MacounMenuView new];
    self.view = self.viewMenu;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    self.viewMenu.tableView.delegate = self;
    self.viewMenu.tableView.dataSource = self;
    [self.viewMenu.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:CELL];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return 8;
}

// Row display. Implementers should *always* try to reuse cells by setting each cell's reuseIdentifier and querying for available reusable cells with dequeueReusableCellWithIdentifier:
// Cell gets various attributes set automatically based on table (separators) and data source (accessory views, editing controls)

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    UITableViewCell* cell = [tableView dequeueReusableCellWithIdentifier:CELL];
    switch (indexPath.row) {
        case 0:
            cell.textLabel.text = @"Demo 0";
            break;
        case 1:
            cell.textLabel.text = @"Demo 1";
            break;
        case 2:
            cell.textLabel.text = @"Demo 2";
            break;
        case 3:
            cell.textLabel.text = @"Demo 3";
            break;
        case 4:
            cell.textLabel.text = @"Demo 4";
            break;
        case 5:
            cell.textLabel.text = @"Demo 5";
            break;
        case 6:
            cell.textLabel.text = @"Demo 6";
            break;
        case 7:
            cell.textLabel.text = @"Demo 7";
            break;
            
        default:
            break;
    }
    return cell;
}


- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    UIViewController* viewController;
    switch (indexPath.row) {
        case 0:
            viewController = [Demo0AnimationLayerViewController new];
            break;
        case 1:
            viewController = [Demo1TimingFunctionViewController new];
            break;
        case 2:
            viewController = [Demo2SpringViewController new];
            break;
        case 3:
            viewController = [Demo3HighwayToHellViewController new];
            break;
        case 4:
            viewController = [Demo4SmokeAndFireViewController new];
            break;
        case 5:
            viewController = [Demo5AnimationLayerReplicatorViewController new];
            break;
        case 6:
            return;
            break;
        case 7:
            viewController = [[Demo7TransitionViewController alloc] initWithIteration:0];
            break;
    }
    [self.navigationController pushViewController:viewController animated:YES];
}
@end
